<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Modifier ordre de travail</h4>
                        <p ></p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table"  *ngFor=" let c of ordre">
                                <thead>
                                <tr>
                                    <th scope="row"></th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <th scope="row">Ordre de travail </th>
                                    <td> {{c.id}} </td>
                                </tr>
                                <tr>
                                    <th scope="row">Intervenant</th>
                                    <td> <span *ngFor=" let p of c.Intervenants"> {{p.nom}}  {{p.prenom}}  <br/> </span> </td>
                                </tr>
                                <tr>
                                    <th scope="row">Emplacement</th>
                                    <td> {{c.Emplacement.libelle_emplacement}}</td>
                                </tr>
                                <tr>
                                    <th scope="row">Pannes</th>
                                    <td><span *ngFor=" let p of c.Pannes" >{{p.libelle_panne}} <br/>  </span></td>
                                </tr>
                                <tr>
                                    <th scope="row">Date début d'intervention</th>
                                    <td> {{c.date_deb_interv | date:'short'}} </td>
                                </tr>
                                <tr>
                                    <th scope="row">Date limite d'intervention</th>
                                    <td> {{c.date_limit_interv | date:'short'}}</td>
                                </tr>
                                <tr>
                                    <th scope="row"></th>
                                    <td></td>
                                </tr>

                                </tbody>
                            </table>

                        </div>

                        <form [formGroup]="form">
                            <div class="selectt">
                                <label class="labelll">Intervenant </label> &nbsp;
                                <ng-select  class="select" formControlName="UtilisateurId" [closeOnSelect]="false" appendTo="body" multiple="true" [searchable]="true"  [clearable]="true" >
                                    <ng-option [disabled]="true"> choisi intrevenant </ng-option>
                                    <ng-option *ngFor="let c of UtilisateurId" [value]="c.id">
                                        {{ c.nom }} {{ c.prenom }}
                                    </ng-option>
                                </ng-select>
                                <span *ngIf="isValid('UtilisateurId')"> Champ Intervenant manquant</span>
                            </div><br/><br/>
                            <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Date début" formControlName="date_deb_interv" type="datetime-local">
                                    </mat-form-field>
                                    <span *ngIf="isValid('date_deb_interv')"> Champ date début intrevention manquant ou invalide </span>
                                </div>
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Date limite"  formControlName="date_limit_interv" type="datetime-local">
                                    </mat-form-field>
                                    <span *ngIf="isValid('date_limit_interv')"> Date limite d'intervention manquant</span>
                                </div>
                            </div>
<!--                            <br/>  <br/> <br/>-->
                                <div class="erreur">{{errorMessage}}</div>

                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>
                            <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                    [disabled]="form.invalid" (click)="modifierOT()">Modifier</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
